#
# spec file for package apg (Version 2.3.0b)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild

%define _home /var/lib/%{name}

Name:         apg
Version:      2.3.0b
Release:      2.1

Group:        Productivity/Security
License:      Other License(s), see package

BuildRoot:    %{_tmppath}/%{name}-%{version}-build

URL:          http://www.adel.nursat.kz/apg/
Source0:      http://www.adel.nursat.kz/apg/download/apg-%{version}.tar.gz
Source1:      %{name}.xinetd

Summary:      APG (Automated Password Generator) is the tool set for random password generation
%description
Standalone version
    Generates some random words of required type and prints them to standard output.

Nerwork version
    APG server
    When client's request is arrived generates some random words of predefined type and send them to client over the network (according to RFC0972).

    APG client
    Sends the password generation request to the APG server, wait for generated Passwords arrival and then prints them to the standard output.

Advantages

    * Built-in ANSI X9.17 RNG (Random Number Generator)(CAST/SHA1)
    * Built-in password quality checking system (it has support for Bloom filter for faster access)
    * Two Password Generation Algorithms:
         1. Pronounceable Password Generation Algorithm (according to NIST FIPS 181)
         2. Random Character Password Generation Algorithm with 27 (35 for APG >= 2.0.0b0) configurable modes of operation
    * Configurable password length parameters
    * Configurable amount of generated passwords
    * Ability to initialize RNG with user string
    * Support for /dev/random
    * Ability to crypt() generated passwords and print them as additional output.
    * Special parameters to use APG in script
    * Ability to log password generation requests for network version
    * Ability to control APG service access using tcpd
    * Ability to use password generation service from any type of box (Mac, WinXX, etc.) that connected to network
    * Ability to enforce remote users to use only allowed type of password generation

 Authors:
----------
    Adel I. Mirzazhanov <a-del@iname.com>


%debug_package
%prep
%setup
#
# fix broken permissions in the tar ball
#
chmod -R u+rwX,go=rX $RPM_BUILD_DIR/%{name}-%{version}

%build
export CFLAGS="%{optflags}"
%if 0%{?suse_version} > 1000
export CFLAGS="$CFLAGS -fstack-protector"
%endif
%{__make} all CFLAGS="${CFLAGS}" FLAGS="${CFLAGS}"
%{__make} -C bfconvert FLAGS="${CFLAGS}"

%install
%{__install} -Dd -m 0755            \
    %{buildroot}%{_mandir}/man{1,8} \
    %{buildroot}%{_docdir}/%{name}
#
# install core
#
%{__install} -D -m 0755 %{name}     %{buildroot}%{_bindir}/%{name}
%{__install} -D -m 0755 %{name}bfm  %{buildroot}%{_bindir}/%{name}bfm
%{__install} -D -m 0755 %{name}d    %{buildroot}%{_sbindir}/%{name}d
%{__install} -m 0644 doc/man/*.1 %{buildroot}%{_mandir}/man1/
%{__install} -m 0644 doc/man/*.8 %{buildroot}%{_mandir}/man8/

%{__install} -D -m 0644 %{S:1} %{buildroot}%{_sysconfdir}/xinetd.d/%{name}
#
# install core docs
#
%{__install} -m 0644                                                           \
        CHANGES COPYING INSTALL README THANKS TODO doc/*txt doc/APG_TIPS \
     %{buildroot}%{_docdir}/%{name}/
%{__install} -m 0755 perl/apgcli.pl                   \
     %{buildroot}%{_docdir}/%{name}/
cp -rv php/apgonline %{buildroot}%{_docdir}/%{name}/apgonline-php
#
# install addons
#
%{__install} -m 0755 bfconvert/bfconvert %{buildroot}%{_bindir}/%{name}-bfconvert
%{__install} -m 0644 bfconvert/README    %{buildroot}%{_docdir}/%{name}/README.bfconvert

%clean
%{__rm} -rf %{buildroot};

%files
%defattr(-, root, root,-)
%{_bindir}/%{name}*
%{_sbindir}/%{name}*
%{_mandir}/man?/%{name}*
#
%doc %{_docdir}/%{name}
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}

%changelog
* Sun Nov 26 2006 mrueckert@suse.de
- initial package of 2.3.0b
